package cn.reghao.tnb.user.api.iface;

import cn.reghao.jutil.jdk.web.result.Result;
import cn.reghao.tnb.user.api.dto.ChargeReq;
import cn.reghao.tnb.user.api.dto.WalletChargeDto;

import java.util.List;

/**
 * @author reghao
 * @date 2024-07-06 00:21:16
 */
public interface UserWalletService {
    void charge(ChargeReq chargeReq);
    List<WalletChargeDto> getChargeReqs();
    void approveCharge(long chargeId);
    void approveAllCharges();
    void declineCharge(long chargeId);
    Result pay(long fromUserId, double amount, long toUserId);
}
